
(*$r+*)

unit u_utils;
  interface

    const k_title_columns= '%-26s %11s';

    function f_10_2(p_amount: Double): String;
    function f_display(p_title: String; p_amount: Double): String;
    function f_display_2(p_title: String; p_spaces: Integer; p_amount: Double): String;

  implementation
    uses SysUtils;

    function f_10_2(p_amount: Double): String;
      // --  10 char     'A'+ f_10_2(l_currency/10000)+ 'B' =>  " A  1.234,57B"
      begin
        Result:= Format('%10s', [FloatToStrF(p_amount, ffNumber, 10, 2)]);
      end; // f_10_2

    function f_display(p_title: String; p_amount: Double): String;
      begin
        Result:= Format(k_title_columns, [p_title, FloatToStrF(p_amount, ffNumber, 10, 2)]);
      end; // f_display

    function f_display_2(p_title: String; p_spaces: Integer; p_amount: Double): String;
      begin
        Result:= Format('%-'+ IntToStr(26+ p_spaces)+ 's %11s', [p_title, FloatToStrF(p_amount, ffNumber, 10, 2)]);
      end; // f_display_2
end.
